Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3035 - tcsh does not set environment variables according to /etc/sysconfig/i18n
Summary: tcsh does not set environment variables according to /etc/sysconfig/i18n
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: tcsh
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Eido Inoue
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-25 12:55 UTC by Kolar, Petr
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-09-25 02:56:25 UTC


Attachments (Terms of Use)

Description Kolar, Petr 1999-05-25 12:55:11 UTC
If some user has tcsh as her login shell, the environment
variables LC_ALL, LANG, LINGUAS etc. (which are set by the
script /etc/profile.d/lang.sh for bash) are not set. This
bug is in Red Hat since introducing /etc/sysconfig/i18n.

------- Email Received From  Alex deVries <adevries@redhat.com> 05/25/99 11:31 -------

Comment 1 Kolar, Petr 1999-05-25 15:42:59 UTC
To correct the bug use /etc/profile.d/lang.csh with this contents:

-------------------------------------------------------------------
if ( -r /etc/sysconfig/i18n ) then
        eval `sed -e 's/ *#.*//' -e 's/^\([^=][^=]*\)=\(.*\)/setenv \1
\2;/' /etc/sysconfig/i18n`
endif
-------------------------------------------------------------------

If no comments are allowed in /etc/sysconfig/i18n, then "-e 's/
*#.*//'"
can be omitted.

Comment 2 Jay Turner 1999-06-28 15:39:59 UTC
This issue has been forwarded to a developer for further action.

Comment 3 Bill Nottingham 1999-09-25 02:56:59 UTC
This is fixed in the latest initscripts - it has a lang.csh.


Note You need to log in before you can comment on or make changes to this bug.